Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.plugin
Class AbstractBackendExportPlugin

    java.lang.Object
      edu.stanford.smi.protege.plugin.AbstractExportPlugin
          edu.stanford.smi.protege.plugin.AbstractBackendExportPlugin

All Implemented Interfaces:
  ExportProjectPlugin, Plugin, Disposable

Direct Known Subclasses:
  ClipsFilesExportProjectPlugin

    public abstract class AbstractBackendExportPlugin

extends AbstractExportPlugin

TODO Class Comment

Author:
  Ray Fergerson

Constructor Summary
`protected` | `AbstractBackendExportPlugin(String name)`

Method Summary
`boolean` | `canExportToNewFormat(Project project)`
`WizardPage` | `createExportToNewFormatWizardPage(ExportWizard wizard, Project project)`
`Project` | `exportProjectToNewFormat(Project project)`
`protected abstract void` | `initializeSources(Project project, Collection errors)`
`protected boolean` | `isCompatibleProject(Project project)`
`protected abstract void` | `overwriteDomainInformation(Project project, Collection errors)`
`protected void` | `saveAndDiscardCustomizations(Project project, Collection errors)`
`void` | `setNewProjectPath(String newProjectPath)`

Methods inherited from class edu.stanford.smi.protege.plugin.AbstractExportPlugin
`canExport, dispose, getName, handleErrors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.plugin.ExportProjectPlugin
`canExport, createExportWizardPage, exportProject`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Constructor Detail

### AbstractBackendExportPlugin

    protected AbstractBackendExportPlugin(String name)

Method Detail

### canExportToNewFormat

    public boolean canExportToNewFormat(Project project)

### setNewProjectPath

    public void setNewProjectPath(String newProjectPath)

### initializeSources

    protected abstract void initializeSources(Project project,
                                              Collection errors)

### overwriteDomainInformation

    protected abstract void overwriteDomainInformation(Project project,
                                                       Collection errors)

### exportProjectToNewFormat

    public Project exportProjectToNewFormat(Project project)

### isCompatibleProject

    protected boolean isCompatibleProject(Project project)

### saveAndDiscardCustomizations

    protected void saveAndDiscardCustomizations(Project project,
                                                Collection errors)

### createExportToNewFormatWizardPage

    public WizardPage createExportToNewFormatWizardPage(ExportWizard wizard,
                                                        Project project)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.